<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009" 
		  xmlns:s="library://ns.adobe.com/flex/spark" 
		  xmlns:mx="library://ns.adobe.com/flex/mx" 
		  title="Atualizar Codigo de Barras" close="titlewindow1_closeHandler(event)" 
		  xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*" xmlns:visual="br.com.desenv.framework.component.visual.*">
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Script>
		<![CDATA[
			import mx.events.CloseEvent;
			import mx.managers.PopUpManager;
			
			
			
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
			private var ArquivoRef:FileReference = new FileReference();  
			private var nome:String; 
			[Bindable]
			private var stringResultEvent: String;
			
			[Bindable]
			private var stringFaultEvent: String;
			
			protected function titlewindow1_closeHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			protected function btnAtualizarCodigoBarras_clickHandler(event:MouseEvent):void
			{
				btnAtualizarCodigoBarras.enabled = false;
				this.ignTextAreaResultado.setFocus();
				AMFConnector.instance.prepararObjetoRemoto("estoqueProdutoService", atualizarCodigoBarrasResultEventHandler, atualizarCodigoBarrasFaultEventHandler).getOperation("integracaoEscritorioLoja").send("ATUALIZAR");
			}
			
			private function atualizarCodigoBarrasResultEventHandler(event:ResultEvent):void
			{
				if(event.result != null)
					ignTextAreaResultado.text = event.result as String;
				else
					ignTextAreaResultado.text = "Integração falhou!!!";
				
				btnAtualizarCodigoBarras.enabled = true;
			}
			
			private function atualizarCodigoBarrasFaultEventHandler(event:FaultEvent):void
			{
				ignTextAreaResultado.text = "Integração falhou!!! " + event.fault.faultString;
				btnAtualizarCodigoBarras.enabled = true;
			}
		]]>
	</fx:Script>

	<mx:VBox x="10" y="10" width="100%">
		<mx:Grid >
			<mx:GridRow id="itemButton">
				<mx:GridItem styleName="gridLabel">
					<s:Spacer width="10" />
				</mx:GridItem>
				<mx:GridItem styleName="gridValor" colSpan="3" width="400" horizontalAlign="center">
					<s:Button id="btnAtualizarCodigoBarras" label="Atualizar Codigos de Barras" click="btnAtualizarCodigoBarras_clickHandler(event)"/>
				</mx:GridItem>
			</mx:GridRow>
			</mx:Grid>
		<mx:Grid >
			<mx:GridRow>
				<mx:GridItem styleName="gridValor">
					<visual:IgnTextArea id="ignTextAreaResultado" width="400" heightInLines="25" />
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow id="itemEspaco">
				<mx:GridItem>
					<s:Spacer height="10" />
				</mx:GridItem>
			</mx:GridRow>
		</mx:Grid>
	</mx:VBox>	
</s:TitleWindow>